Bug 333791 - crash when changing a tag category to a subcat of another category
Summary: crash when changing a tag category to a subcat of another category
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-23 20:56 UTC by Will Woodhull
Modified: 2021-12-17 11:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Woodhull 2014-04-23 20:56:42 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-lowlatency i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- I first created a category "Trails" and tagged images with that. I then created an empty category "Outdoors". Crash occurred when I attempted to move "Trails" into "Outdoors".

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xacdff900 (LWP 31333))]

Thread 13 (Thread 0xacdccb40 (LWP 31334)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb4b9d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xad9fd442 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb329cf70 in start_thread (arg=0xacdccb40) at pthread_create.c:312
#4  0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 12 (Thread 0xaa268b40 (LWP 31335)):
#0  0xb2ed28ec in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2ed32df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ed376b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xadc23e9a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#4  0xb2ef99ca in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb329cf70 in start_thread (arg=0xaa268b40) at pthread_create.c:312
#6  0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 11 (Thread 0xa98ffb40 (LWP 31336)):
#0  0xb32a012e in __pthread_mutex_unlock_usercnt (mutex=0x930dc68, decr=1) at pthread_mutex_unlock.c:57
#1  0xb4bb9b34 in pthread_mutex_unlock (mutex=0x930dc68) at forward.c:194
#2  0xb2f18140 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed3280 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2ed357e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb2ef99ca in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb329cf70 in start_thread (arg=0xa98ffb40) at pthread_create.c:312
#8  0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 10 (Thread 0xa7af4b40 (LWP 31338)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb32a0d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bb98ec in __pthread_cond_wait (cond=0x9443050, mutex=0x9443038) at forward.c:149
#3  0xb4ea00f5 in wait (time=4294967295, this=0x9443038) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x9442fac, mutex=mutex@entry=0x9442fa8, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820dd94 in Digikam::ScanController::run (this=0x9441a90) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4e9fb6f in QThreadPrivate::start (arg=0x9441a90) at thread/qthread_unix.cpp:349
#7  0xb329cf70 in start_thread (arg=0xa7af4b40) at pthread_create.c:312
#8  0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 9 (Thread 0xa70ffb40 (LWP 31339)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb4b9d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2ee220b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed33e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0xa6700468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0xa70ff098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0xa70ff098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4e9d23d in QThread::exec (this=this@entry=0x945e830) at thread/qthread.cpp:537
#9  0xb4f90c44 in QInotifyFileSystemWatcherEngine::run (this=0x945e830) at io/qfilesystemwatcher_inotify.cpp:265
#10 0xb4e9fb6f in QThreadPrivate::start (arg=0x945e830) at thread/qthread_unix.cpp:349
#11 0xb329cf70 in start_thread (arg=0xa70ffb40) at pthread_create.c:312
#12 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 8 (Thread 0xa66ffb40 (LWP 31341)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb32a0d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bb98ec in __pthread_cond_wait (cond=0x9587d78, mutex=0x9587d60) at forward.c:149
#3  0xb4ea00f5 in wait (time=4294967295, this=0x9587d60) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x94ee778, mutex=mutex@entry=0x94ee774, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6aac2b4 in Digikam::ParkingThread::run (this=0x94ee768) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4e9fb6f in QThreadPrivate::start (arg=0x94ee768) at thread/qthread_unix.cpp:349
#7  0xb329cf70 in start_thread (arg=0xa66ffb40) at pthread_create.c:312
#8  0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 7 (Thread 0x918f3b40 (LWP 31968)):
#0  0xb2f17d2e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2f18138 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ed2a27 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed32df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0xa8f56508, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x918f3098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x918f3098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0x9531600) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4e92f07 in QThreadPoolThread::run (this=0xa8f330f0) at concurrent/qthreadpool.cpp:108
#10 0xb4e9fb6f in QThreadPrivate::start (arg=0xa8f330f0) at thread/qthread_unix.cpp:349
#11 0xb329cf70 in start_thread (arg=0x918f3b40) at pthread_create.c:312
#12 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 6 (Thread 0x98edfb40 (LWP 31969)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb4bba392 in __GI___clock_gettime (clock_id=1, tp=0x98edee28) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb4efa8cc in do_gettime (frac=0x98edee20, sec=0x98edee18) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb4fe32a2 in updateCurrentTime (this=0xab2d054) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xab2d054, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb4fe182b in timerSourcePrepareHelper (src=<optimized out>, timeout=0x98edef1c) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb4fe18bd in timerSourcePrepare (source=0xab2d020, timeout=0x98edef1c) at kernel/qeventdispatcher_glib.cpp:176
#8  0xb2ed29b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2ed32df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb4fe195f in QEventDispatcherGlib::processEvents (this=0xab309d0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#12 0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x98edf098, flags=...) at kernel/qeventloop.cpp:149
#13 0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x98edf098, flags=...) at kernel/qeventloop.cpp:204
#14 0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0xa8f22db8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#15 0xb4e92f07 in QThreadPoolThread::run (this=0xa82ffa8) at concurrent/qthreadpool.cpp:108
#16 0xb4e9fb6f in QThreadPrivate::start (arg=0xa82ffa8) at thread/qthread_unix.cpp:349
#17 0xb329cf70 in start_thread (arg=0x98edfb40) at pthread_create.c:312
#18 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0x9a6e2b40 (LWP 31971)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb4b9b73b in read () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2f1728e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed2ecb in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed337a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0x985374d8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x9a6e2098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x9a6e2098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0xa8f6e078) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4e92f07 in QThreadPoolThread::run (this=0xa3a6f80) at concurrent/qthreadpool.cpp:108
#11 0xb4e9fb6f in QThreadPrivate::start (arg=0xa3a6f80) at thread/qthread_unix.cpp:349
#12 0xb329cf70 in start_thread (arg=0x9a6e2b40) at pthread_create.c:312
#13 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0x9bee5b40 (LWP 31992)):
#0  0xb779b424 in __kernel_vsyscall ()
#1  0xb4b9d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2ee220b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed33e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0xa71246d8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x9bee5098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x9bee5098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0xa8f01f90) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4e92f07 in QThreadPoolThread::run (this=0xa8f55db8) at concurrent/qthreadpool.cpp:108
#10 0xb4e9fb6f in QThreadPrivate::start (arg=0xa8f55db8) at thread/qthread_unix.cpp:349
#11 0xb329cf70 in start_thread (arg=0x9bee5b40) at pthread_create.c:312
#12 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0x9b6e4b40 (LWP 31993)):
#0  __GI___pthread_getspecific (key=7) at pthread_getspecific.c:61
#1  0xb2f18642 in g_private_get () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ef9f3e in g_thread_self () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed3516 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0xa7123028, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x9b6e4098, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x9b6e4098, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0xa8f33af8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4e92f07 in QThreadPoolThread::run (this=0xa8f333f0) at concurrent/qthreadpool.cpp:108
#9  0xb4e9fb6f in QThreadPrivate::start (arg=0xa8f333f0) at thread/qthread_unix.cpp:349
#10 0xb329cf70 in start_thread (arg=0x9b6e4b40) at pthread_create.c:312
#11 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0x960fbb40 (LWP 32378)):
#0  0xb2f17ff6 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2f18638 in g_private_get () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ef9f3e in g_thread_self () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed3516 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4fe195f in QEventDispatcherGlib::processEvents (this=0x98576508, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0x960fb098, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4fb0b49 in QEventLoop::exec (this=this@entry=0x960fb098, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6aab882 in Digikam::WorkerObjectRunnable::run (this=0xb788ff8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4e92f07 in QThreadPoolThread::run (this=0x98100568) at concurrent/qthreadpool.cpp:108
#9  0xb4e9fb6f in QThreadPrivate::start (arg=0x98100568) at thread/qthread_unix.cpp:349
#10 0xb329cf70 in start_thread (arg=0x960fbb40) at pthread_create.c:312
#11 0xb4bac70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xacdff900 (LWP 31333)):
[KCrash Handler]
#7  0x00000000 in ?? ()
#8  0xae58738e in sqlite3MemCompare (pMem1=pMem1@entry=0xbfa90c98, pMem2=<optimized out>, pColl=0x9b35ed0) at sqlite3.c:60484
#9  0xae587576 in sqlite3VdbeRecordCompare (nKey1=13, pKey1=0xb9b9e33, pPKey2=pPKey2@entry=0xbfa90f28) at sqlite3.c:64162
#10 0xae59cba2 in sqlite3BtreeMovetoUnpacked (pCur=0xbefbf38, pIdxKey=0xbfa90f28, intKey=0, biasRight=0, pRes=0xbfa90f1c) at sqlite3.c:55077
#11 0xae5c7009 in sqlite3VdbeExec (p=p@entry=0xb86dca0) at sqlite3.c:70345
#12 0xae5cfd8e in sqlite3Step (p=0xb86dca0) at sqlite3.c:64828
#13 sqlite3_step (pStmt=0xb86dca0) at sqlite3.c:64894
#14 0xa9041e9c in QSQLiteResultPrivate::fetchNext (this=this@entry=0xbc68fd8, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#15 0xa9042ebd in QSQLiteResult::exec (this=0xbf16bd8) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#16 0xb7747e60 in QSqlQuery::exec (this=this@entry=0xbfa913b8) at kernel/qsqlquery.cpp:949
#17 0xb6a60431 in Digikam::DatabaseCoreBackend::exec (this=0x93ec520, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#18 0xb6a605d5 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x93ec520, query=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1064
#19 0xb6a6155a in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x93ec520, sql=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1013
#20 0xb6a615be in Digikam::DatabaseCoreBackend::execSql (this=0x93ec520, sql=..., boundValue1=..., boundValue2=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:910
#21 0xb66376d9 in Digikam::AlbumDB::setTagParentID (this=0x9469a78, tagID=tagID@entry=55, newParentTagID=newParentTagID@entry=56) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:770
#22 0x081da433 in Digikam::AlbumManager::moveTAlbum (this=0x94281d0, album=album@entry=0xab2f300, newParent=newParent@entry=0xaac7408, errMsg=...) at /build/buildd/digikam-3.5.0/core/digikam/album/albummanager.cpp:2466
#23 0x0822f05c in Digikam::TagDragDropHandler::dropEvent (this=this@entry=0x9fc02d8, view=view@entry=0x9fb9658, e=e@entry=0xbfa91be8, droppedOn=...) at /build/buildd/digikam-3.5.0/core/digikam/dragdrop/tagdragdrop.cpp:107
#24 0x081fff16 in Digikam::AbstractAlbumTreeView::dropEvent (this=0x9fb9658, e=0xbfa91be8) at /build/buildd/digikam-3.5.0/core/digikam/album/albumtreeview.cpp:674
#25 0xb5567072 in QWidget::event (this=this@entry=0x9fb9658, event=event@entry=0xbfa91be8) at kernel/qwidget.cpp:8577
#26 0xb596d78c in QFrame::event (this=this@entry=0x9fb9658, e=e@entry=0xbfa91be8) at widgets/qframe.cpp:557
#27 0xb59fbe48 in QAbstractScrollArea::viewportEvent (this=this@entry=0x9fb9658, e=e@entry=0xbfa91be8) at widgets/qabstractscrollarea.cpp:1043
#28 0xb5aa0ddc in QAbstractItemView::viewportEvent (this=this@entry=0x9fb9658, event=0xbfa91be8) at itemviews/qabstractitemview.cpp:1644
#29 0xb5ae6606 in QTreeView::viewportEvent (this=0x9fb9658, event=0xbfa91be8) at itemviews/qtreeview.cpp:1252
#30 0xb59fc0c6 in viewportEvent (event=0xbfa91be8, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#31 QAbstractScrollAreaFilter::eventFilter (this=0x9fbbaa8, o=0x9fb92e0, e=0xbfa91be8) at widgets/qabstractscrollarea_p.h:116
#32 0xb4fb1fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x9248178, receiver=receiver@entry=0x9fb92e0, event=event@entry=0xbfa91be8) at kernel/qcoreapplication.cpp:1063
#33 0xb550d7d1 in QApplicationPrivate::notify_helper (this=0x9248178, receiver=receiver@entry=0x9fb92e0, e=0xbfa91be8) at kernel/qapplication.cpp:4563
#34 0xb5515762 in QApplication::notify (this=0xbfa934a8, receiver=receiver@entry=0x9fb92e0, e=e@entry=0xbfa91be8) at kernel/qapplication.cpp:4353
#35 0xb605d0a4 in KApplication::notify (this=0xbfa934a8, receiver=0x9fb92e0, event=0xbfa91be8) at ../../kdeui/kernel/kapplication.cpp:311
#36 0xb4fb1e4a in QCoreApplication::notifyInternal (this=0xbfa934a8, receiver=0x9fb92e0, event=event@entry=0xbfa91be8) at kernel/qcoreapplication.cpp:953
#37 0xb55a69ac in sendEvent (event=0xbfa91be8, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#38 QX11Data::xdndHandleDrop (this=0x924c7d8, xe=xe@entry=0xbfa91cac, passive=passive@entry=false) at kernel/qdnd_x11.cpp:1185
#39 0xb55a6d16 in QDragManager::drop (this=this@entry=0xace4120) at kernel/qdnd_x11.cpp:1765
#40 0xb55a7f5e in QDragManager::eventFilter (this=0xace4120, o=0x94ae730, e=0xbfa92094) at kernel/qdnd_x11.cpp:1314
#41 0xb4fb1f1b in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=this@entry=0x9248178, receiver=receiver@entry=0x94ae730, event=event@entry=0xbfa92094) at kernel/qcoreapplication.cpp:1044
#42 0xb550d77e in QApplicationPrivate::notify_helper (this=0x9248178, receiver=receiver@entry=0x94ae730, e=0xbfa92094) at kernel/qapplication.cpp:4542
#43 0xb5515ea0 in QApplication::notify (this=0xbfa934a8, receiver=receiver@entry=0x94ae730, e=e@entry=0xbfa92094) at kernel/qapplication.cpp:4110
#44 0xb605d0a4 in KApplication::notify (this=0xbfa934a8, receiver=0x94ae730, event=0xbfa92094) at ../../kdeui/kernel/kapplication.cpp:311
#45 0xb4fb1e4a in QCoreApplication::notifyInternal (this=0xbfa934a8, receiver=receiver@entry=0x94ae730, event=event@entry=0xbfa92094) at kernel/qcoreapplication.cpp:953
#46 0xb5513b53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#47 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x94ae730, event=0xbfa92094, alienWidget=0x0, nativeWidget=0x94ae730, buttonDown=buttonDown@entry=0xb5e84ce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#48 0xb5597778 in QETWidget::translateMouseEvent (this=0x94ae730, event=event@entry=0xbfa922bc) at kernel/qapplication_x11.cpp:4634
#49 0xb5596ec5 in QApplication::x11ProcessEvent (this=0xbfa934a8, event=event@entry=0xbfa922bc) at kernel/qapplication_x11.cpp:3627
#50 0xb55c2524 in x11EventSourceDispatch (s=0x9248278, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#51 0xb2ed31e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#52 0xb2ed3468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#53 0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#54 0xb4fe193b in QEventDispatcherGlib::processEvents (this=this@entry=0x91b8090, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#55 0xb55c25de in QGuiEventDispatcherGlib::processEvents (this=0x91b8090, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0xb7b61b0, flags=...) at kernel/qeventloop.cpp:149
#57 0xb4fb0b49 in QEventLoop::exec (this=this@entry=0xb7b61b0, flags=...) at kernel/qeventloop.cpp:204
#58 0xb55a83a6 in QDragManager::drag (this=0xace4120, o=o@entry=0xb992658) at kernel/qdnd_x11.cpp:2032
#59 0xb5520574 in QDrag::exec (this=this@entry=0xb992658, supportedActions=..., defaultDropAction=defaultDropAction@entry=Qt::IgnoreAction) at kernel/qdrag.cpp:284
#60 0x081fe2b5 in Digikam::AbstractAlbumTreeView::startDrag (this=this@entry=0x9fb9658, supportedActions=...) at /build/buildd/digikam-3.5.0/core/digikam/album/albumtreeview.cpp:606
#61 0xb5aa021a in QAbstractItemView::mouseMoveEvent (this=this@entry=0x9fb9658, event=event@entry=0xbfa92df4) at itemviews/qabstractitemview.cpp:1725
#62 0xb5ae6b34 in QTreeView::mouseMoveEvent (this=0x9fb9658, event=0xbfa92df4) at itemviews/qtreeview.cpp:1915
#63 0xb556753c in QWidget::event (this=this@entry=0x9fb9658, event=event@entry=0xbfa92df4) at kernel/qwidget.cpp:8361
#64 0xb596d78c in QFrame::event (this=this@entry=0x9fb9658, e=e@entry=0xbfa92df4) at widgets/qframe.cpp:557
#65 0xb59fbe48 in QAbstractScrollArea::viewportEvent (this=this@entry=0x9fb9658, e=e@entry=0xbfa92df4) at widgets/qabstractscrollarea.cpp:1043
#66 0xb5aa0ddc in QAbstractItemView::viewportEvent (this=this@entry=0x9fb9658, event=0xbfa92df4) at itemviews/qabstractitemview.cpp:1644
#67 0xb5ae6606 in QTreeView::viewportEvent (this=0x9fb9658, event=0xbfa92df4) at itemviews/qtreeview.cpp:1252
#68 0xb59fc0c6 in viewportEvent (event=0xbfa92df4, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#69 QAbstractScrollAreaFilter::eventFilter (this=0x9fbbaa8, o=0x9fb92e0, e=0xbfa92df4) at widgets/qabstractscrollarea_p.h:116
#70 0xb4fb1fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x9248178, receiver=receiver@entry=0x9fb92e0, event=event@entry=0xbfa92df4) at kernel/qcoreapplication.cpp:1063
#71 0xb550d7d1 in QApplicationPrivate::notify_helper (this=0x9248178, receiver=receiver@entry=0x9fb92e0, e=0xbfa92df4) at kernel/qapplication.cpp:4563
#72 0xb5515ea0 in QApplication::notify (this=0xbfa934a8, receiver=receiver@entry=0x9fb92e0, e=e@entry=0xbfa92df4) at kernel/qapplication.cpp:4110
#73 0xb605d0a4 in KApplication::notify (this=0xbfa934a8, receiver=0x9fb92e0, event=0xbfa92df4) at ../../kdeui/kernel/kapplication.cpp:311
#74 0xb4fb1e4a in QCoreApplication::notifyInternal (this=0xbfa934a8, receiver=receiver@entry=0x9fb92e0, event=event@entry=0xbfa92df4) at kernel/qcoreapplication.cpp:953
#75 0xb5513b53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#76 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x9fb92e0, event=0xbfa92df4, alienWidget=0x0, nativeWidget=0x9fb92e0, buttonDown=buttonDown@entry=0xb5e84ce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#77 0xb5597778 in QETWidget::translateMouseEvent (this=0x9fb92e0, event=event@entry=0xbfa9301c) at kernel/qapplication_x11.cpp:4634
#78 0xb5596ec5 in QApplication::x11ProcessEvent (this=0xbfa934a8, event=event@entry=0xbfa9301c) at kernel/qapplication_x11.cpp:3627
#79 0xb55c2524 in x11EventSourceDispatch (s=0x9248278, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#80 0xb2ed31e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#81 0xb2ed3468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#82 0xb2ed3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#83 0xb4fe193b in QEventDispatcherGlib::processEvents (this=this@entry=0x91b8090, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#84 0xb55c25de in QGuiEventDispatcherGlib::processEvents (this=0x91b8090, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#85 0xb4fb0823 in QEventLoop::processEvents (this=this@entry=0xbfa932d8, flags=...) at kernel/qeventloop.cpp:149
#86 0xb4fb0b49 in QEventLoop::exec (this=this@entry=0xbfa932d8, flags=...) at kernel/qeventloop.cpp:204
#87 0xb4fb68fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#88 0xb550ba24 in QApplication::exec () at kernel/qapplication.cpp:3828
#89 0x080bc190 in main (argc=5, argv=0xbfa935e4) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 333741, bug 333700, bug 333671, bug 333660, bug 333642.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-24 00:45:47 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2021-12-17 11:50:46 UTC
Fixed with #329697